classification
Title: PyParser_SimpleParseStringFilename should be deleted
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.smith Nosy List: eric.smith, miss-islington
Priority: normal Keywords: patch

Created on 2018-09-12 21:58 by eric.smith, last changed 2018-09-14 15:30 by eric.smith. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9260 merged eric.smith, 2018-09-13 16:08
Messages (3)
msg325189 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2018-09-12 21:58
There are 6 PyParser_SimpleParse* functions in pythonrun.c. 5 of them are documented in c-api/veryhigh.rst and appear in pythonrun.h. But PyParser_SimpleParseStringFilename is not documented and is not in any .h file.

I propose we delete PyParser_SimpleParseStringFilename. It's not documented, it's not in a .h file, and it's not called from within Python's source. It's also trivial to implement in terms of PyParser_SimpleParseStringFlagsFilename.
msg325261 - (view) Author: miss-islington (miss-islington) Date: 2018-09-13 16:35
New changeset 53c427e839d3e55d4791dca687a2d47534465a7a by Miss Islington (bot) (Eric V. Smith) in branch 'master':
bpo-34653: Removed unused function PyParser_SimpleParseStringFilename. (GH-9260)
https://github.com/python/cpython/commit/53c427e839d3e55d4791dca687a2d47534465a7a
msg325352 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2018-09-14 15:30
I'm not going to backport this to 3.7, just in case.
History
Date User Action Args
2018-09-14 15:30:49eric.smithsetstatus: open -> closed
versions: - Python 3.7
messages: + msg325352

resolution: fixed
stage: patch review -> resolved
2018-09-13 16:35:01miss-islingtonsetnosy: + miss-islington
messages: + msg325261
2018-09-13 16:08:58eric.smithsetkeywords: + patch
stage: patch review
pull_requests: + pull_request8691
2018-09-12 21:58:05eric.smithcreate